> For the complete documentation index, see [llms.txt](https://docs.hackle.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hackle.io/en/ab-test/management/realtime-status.md).

# Real-time Exposure Status

This is the rightmost tab when entering the A/B Test detail view.\
Here you can view the exposure status per test group for the currently running A/B Test in two forms:

* A graph showing the exposure count per test group
* A table containing information about users exposed to the A/B Test

This is useful for checking whether distribution across each test group is working properly.

## Exposure Summary (Table)

You can view users exposed to the A/B Test in the last 30 minutes broken down as follows. You can update the view every 30 seconds using the Update button located in the right area of the tab.

* A/B Test group × Platform\
  (e.g., number of users exposed to Group B on Mobile)
* A/B Test group × Operating System (OS)\
  (e.g., number of users exposed to Group A on Android)
* A/B Test group × Version\
  (e.g., number of users exposed to Group A on app version 7.11.5)
* Distribution reason × Platform\
  (e.g., number of users exposed to the A/B Test on Mobile)
* Distribution reason × Operating System (OS)\
  (e.g., number of users exposed to the A/B Test on iOS)
* Distribution reason × Version\
  (e.g., number of users exposed to the A/B Test on app version 2.3.10)

You can view the breakdowns by setting items 1 and 2 as shown in the image below.

![1870](https://143363954-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FyAVlNQhS253reum0Ce94%2Fuploads%2Fgit-blob-b59cb49d250929657adeaf26e1ada604daa12058%2Fc0e1b12-realtime-table_78439e2445a07f0c.png?alt=media)

## Exposure Status Graph

You can view users exposed to the A/B Test in the last 30 minutes broken down as follows. The condition can be selected from the select box on the right side of the graph. The available options are listed below. You can update the view every 30 seconds using the Update button located in the upper right area of the tab.

* A/B Test group
* Distribution reason
* Platform
* Operating System (OS)
* Version

![1884](https://143363954-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FyAVlNQhS253reum0Ce94%2Fuploads%2Fgit-blob-afcb60c183d85155c64233ebf51e80bb4d72371a%2F7b13365-realtime-graph_46db5eed8f2f6d16.png?alt=media)

## User Log

You can see which users were distributed to which group, when, and for what reason in the A/B Test. Logs are available for users exposed to the A/B Test in the last 30 minutes. You can update the view every 30 seconds using the Update button in the upper right area of the tab.

![1924](https://143363954-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FyAVlNQhS253reum0Ce94%2Fuploads%2Fgit-blob-e928844a955a686e85f88c04ab45ab257f0ee386%2F5854ea1-realtime-log_086b19ed49ac778f.png?alt=media)

For detailed distribution reasons, refer to the page below.

{% content-ref url="/pages/gyaOleQ0qFavWeb6VbQm" %}
[Variation Distribution Result](/en/ab-test/group-distribution/ab-variation-result.md)
{% endcontent-ref %}

{% hint style="success" %}
Real-time Exposure Status shows all exposure instances without deduplication.

The unique user count with deduplication can be found in the Goals tab.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hackle.io/en/ab-test/management/realtime-status.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
